<script>
import Vue from 'vue';
export default Vue.extend({
  name: 'ChannelPartnersTable',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
  mounted() {
    const script = document.createElement('script');
    script.src = this.data.scriptSrc;
    script.setAttribute('data-config', JSON.stringify(this.data.dataConfig));
    const container = document.getElementById('impartner-table');
    container.appendChild(script);
  },
});
</script>
<template><div id="impartner-table" /></template>
<style lang="scss">
.mp-expand-filter-options {
  .mp-label {
    color: $color-text-link-100 !important;
    &:hover {
      color: $color-text-link-100 !important;
      text-decoration: underline !important;
    }
  }
}
.mp-next-previous:hover {
  color: $color-text-link-100 !important;
}
.mp-page-link:hover {
  color: $color-text-link-100 !important;
  text-decoration: underline !important;
}
.mp-page-item .current {
  .mp-pagination-item .mp-current-page {
    border-bottom: none;
  }
}
</style>
